
<?php
require("../../inc/header.inc");
require("../serverStatusImprove/function.inc");
?>

<?php
adjust_head();
adjust_title_head();


echo "<FORM NAME=\"downForm\" action=\"./server_status.php\" method=\"post\">";
echo "<table id=\"table_up\" border=\"0\" width=\"100%\">";
	echo "<tr>";
		echo "<td width=\"50%\">";
		echo "Advanced > SNMP Status";
		echo "</td>";
		echo "<td width=\"50%\" align=\"right\" title=\"Help\">";
		showHelp($helpId);
		echo "</td>";
	echo "</tr>";
	
	
	echo "<tr>";
		echo "<td width=\"50%\">";
		echo "&nbsp;";
		echo "</td>";
		echo "<td width=\"50%\" align=\"right\" title=\"back\">";
		//echo "<a href=# onClick=\"javascript:clearAll();\"><img align=absBottom border=0 src=\"../../images/delete.gif\" width=\"14\" height=\"14\">$strBlack</a>";
		echo "<a target=\"back\" href=\"./plat_test_status.php?\"><img src=\"../../images/left.gif\" border=0></img>back</a>";
		
		echo "</td>";
	echo "</tr>";
echo "</table>";


adjust_title_tail();
adjust_content_head();

$config=parse_ini_file("../platStatus/config.ini",true);
$config_count=sizeof($config);

$platDetailInfo=GetDetailPlatInfo($sysNo,$subSysNo,4);

$table_title="<font color=\"#0000FF\">SNMP</font>( Version:";
$table_title.="<font color=\"#0000FF\"> {$platDetailInfo[SNMP][Version][Value]}</font>";
$table_title.=",";
$table_title.=" Status:";
$table_title.="<font color=\"{$platDetailInfo[SNMP][Status][Color]}\">{$platDetailInfo[SNMP][Status][Value]}</font>";
$table_title.=",";
$table_title.="RefreshTime:";
$table_title.="<font color=\"{$platDetailInfo[RefreshTime][Color]}\">{$platDetailInfo[RefreshTime][Value]}</font>";
$table_title.=")";


  echo "<br><b><center>$table_title</center></b>";
	echo "<table width=\"100%\" border=\"1\" cellpadding=\"2\" cellspacing=\"0\" bordercolor=\"#666666\" bordercolordark=\"#FFFFFF\" bgcolor=\"#FFFFFF\">";
	echo "<tr bgcolor=\"#E6E6E6\">";
	
	echo "<td align=\"left\" >Function type</td>";
	echo "<td align=\"left\" >Registered number</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td align=\"left\" >TARP</td>";
	echo "<td align=\"left\"><font color=\"$platDetailInfo[SNMP][TrapFuncCount][Value]\">{$platDetailInfo[SNMP][TrapFuncCount][Value]}</font></td>";
	echo "</tr>";
  echo "<tr>";
	echo "<td align=\"left\" >SET</td>";
	echo "<td align=\"left\"><font color=\"$platDetailInfo[SNMP][SetFuncCount][Value]\">{$platDetailInfo[SNMP][SetFuncCount][Value]}</font></td>";
	echo "</tr>";
  echo "<tr>";
	echo "<td align=\"left\" >GET</td>";
	echo "<td align=\"left\"><font color=\"$platDetailInfo[SNMP][GetFuncCount][Value]\">{$platDetailInfo[SNMP][GetFuncCount][Value]}</font></td>";
	echo "</tr>"; 
  echo "<tr>";
	echo "<td align=\"left\" >RSP</td>";
	echo "<td align=\"left\"><font color=\"$platDetailInfo[SNMP][RspFuncCount][Value]\">{$platDetailInfo[SNMP][RspFuncCount][Value]}</font></td>";
	echo "</tr>";
 
 
  echo "<br>";
?>

<?php
echo "<table border=\"0\" width=\"100%\">";
	
	echo "<tr>";
		echo "<td width=\"50%\" align=\"left\">";
		echo "Remarks:  <font color=\"blue\">Y</font> = Normal,    <font color=\"red\">N</font> = Abnormal,   -- = None.";
		echo "</td>";
		echo "</tr>";
    
    echo "<tr>";
		
		echo "<td width=\"50%\" align=\"right\" title=\"back\">";
		//echo "<a href=# onClick=\"javascript:clearAll();\"><img align=absBottom border=0 src=\"../../images/delete.gif\" width=\"14\" height=\"14\">$strBlack</a>";
		echo "<a target=\"back\" href=\"./plat_test_status.php?\"><img src=\"../../images/left.gif\" border=0></img>back</a>";
		
		echo "</td>";
	  
	  echo "</tr>";
    echo "</table>";
?>


